import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner


class PythonNode (harkdesigner.TestHarkDesigner):
    def test_makefig(self):
        self.zoom(3)
        self.setDisplay("Line", "Lines")

        self.addNode("AudioStreamFromMic")
        self.addNode("ChannelSelector")
        self.addNode("MatrixToMap")
        self.addNode("SaveRawPCM")
        self.addNode("Iterate")
        self.reshape()

        self.connect("node_AudioStreamFromMic_1", "AUDIO",
                     "node_ChannelSelector_1", "INPUT")
        self.connect("node_ChannelSelector_1", "OUTPUT",
                     "node_MatrixToMap_1", "INPUT")
        self.connect("node_MatrixToMap_1", "OUTPUT",
                     "node_SaveRawPCM_1", "INPUT")
        self.addTerminalRole("node_SaveRawPCM_1", "OUTPUT", "Output", "")
        self.addTerminalRole("node_Iterate_1", "OUTPUT", "Condition", "")

        # take a picture
        self.reshape()
        self.screenshot("png", "network_")

if __name__ == "__main__":
    unittest.main()
